<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";
include_once"../themes/$config_themes/index.php";
include_once"../template/isset.php";


if ($provlog==$_SESSION['log'] && $provpar==md5($_SESSION['par']) && $_SESSION['log']!="" && md5($_SESSION['par'])!="") {
if ($dostup==101){
	
echo '<img src="../images/img/partners.gif" alt=""> <b> Очистка базы юзеров</b><br><br>';

$dir = opendir ("../local/profil"); 
while ($file = readdir ($dir)) 
{if (ereg ("\.prof$", $file)) 
{$array_allusers[]=$file;}} 
closedir ($dir); 		
$total = count($array_allusers); 
	
//---------------------- Форма ввода данных ------------------------------//
if(!isset($action)){

echo 'Удалить пользователей которые не посещали сайт более:';

if($config_themes!="wml"){
echo'<form method="post" action="delusers.php?action=poddel&amp;'.SID.'">';
echo '<br><select name="deldate">';
echo '<option value="360">1 года</option>';
echo '<option value="270">9 месяцев</option>';
echo '<option value="180">6 месяцев</option>';
echo '<option value="150">5 месяцев</option>';
echo '<option value="120">4 месяца</option>';
echo '<option value="90">3 месяца</option>';
echo '<option value="60">2 месяца</option>';
echo '<option value="30">1 месяца</option>';
echo '</select><br><input value="Анализ" type="submit" /></form><hr>';
}else{      


echo '<br><select name="deldate">';
echo '<option value="360">1 года</option>';
echo '<option value="270">9 месяцев</option>';
echo '<option value="180">6 месяцев</option>';
echo '<option value="150">5 месяцев</option>';
echo '<option value="120">4 месяца</option>';
echo '<option value="90">3 месяца</option>';
echo '<option value="60">2 месяца</option>';
echo '<option value="30">1 месяца</option>';
echo '</select><br>';

echo '<anchor>Анализ';
echo '<go href="delusers.php?action=poddel&amp;'.SID.'" method="post">';
echo '<postfield name="deldate" value="$(deldate)"/>';
echo '</go></anchor><br>--------------------<br>';     
}


echo 'Если у вас очень большое количество пользователей, во избежание подвисания удаляйте частями,<br>';
echo 'сначала за год, за 9 месяцев, потом за 6 месяцев и т.д.<br><br>';	

echo'Всего пользователей: '.(int)$total;	
}	
	
//---------------- Подтверждение удаление пользователей -----------------------//	
if($action=="poddel"){
	
$dir = opendir (BASEDIR."local/profil");
while (( $file = readdir ($dir))){
if($file!="." && $file!=".." && $file!="index.php" && $file!=".htaccess" && $file!="$config_nikname.prof"){
$acc_time = filemtime(BASEDIR."local/profil/$file");
$deltime=round($sitetime-$acc_time);  
$oldtime=round($deldate*24*60*60);
if ($deltime > $oldtime){$dd++;}}}	
closedir ($dir);


if($dd>0){
echo 'Вы подтверждаете, что хотите полностью удалить пользователей  не посещавших сайт более <b>'.(int)$deldate.'</b> дней?<br><br>';
echo 'Будет удалено '.(int)$dd.' пользователей из '.(int)$total.'<br><br>';
echo '<img src="../images/img/error.gif" alt="">';
echo ' <b><a href="delusers.php?action=del&amp;deldate='.$deldate.'&amp;'.SID.'">Удалить пользователей</a></b>';
}else{
echo 'Удалять некого, так как все пользователи посещали сайт в течении '.(int)$deldate.' дней<br>';
}
echo '<br><img src="../images/img/back.gif" alt=""> <a href="delusers.php?'.SID.'">Вернуться</a>';
}	
	
//---------------------- Удаление пользователей ------------------------------//	
if($action=="del"){
if($deldate!=""){
	
$dir = opendir (BASEDIR."local/profil");
while (( $file = readdir ($dir)))
{
if($file!="." && $file!=".." && $file!="index.php" && $file!=".htaccess" && $file!="$config_nikname.prof")
{

$acc_time = filemtime(BASEDIR."local/profil/$file");
      
$deltime=round($sitetime-$acc_time);  
$oldtime=round($deldate*24*60*60);

if ($deltime > $oldtime){ $dd++;
$file2=str_replace(".prof","", $file); 	
if($file2!=$config_nikname){

delete_users($file2);

}}}}
closedir ($dir);
	
if($dd>0){
echo 'Все пользователи не посещавшие сайт более '.(int)$deldate.' дней, успешно удалены из базы<br>'; 
echo'Было удалено юзеров: '.(int)$dd.'<br>';

}else{echo'Пользователи не удалены так как посещали сайт в течении '.(int)$deldate.' дней<br>';}
}else{echo'Вы не указали количество дней!<br>';}


echo'Всего пользователей: '.round($total-$dd).'<br><br>';	
echo'<img src="../images/img/back.gif" alt=""> <a href="delusers.php?'.SID.'">Вернуться назад</a>';
	
}	

echo'<br><img src="../images/img/panel.gif" alt=""> <a href="index.php?'.SID.'">В админку</a><br>';
echo'<img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a><br>';

} else {header ("Location: ../index.php?isset=404&".SID);}
} else {header ("Location: ../index.php?isset=404&".SID);}

include_once"../themes/$config_themes/foot.php";
?>
